"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cognitoAdminInitiateAuthResponseToQpqAuthenticationInfo = exports.cognitoAuthenticationResultTypeToQpqAuthenticationInfo = void 0;
const quidproquo_core_1 = require("quidproquo-core");
const cognitoAuthenticationResultTypeToQpqAuthenticationInfo = (authResult) => ({
    accessToken: authResult.AccessToken,
    idToken: authResult.IdToken,
    expiresIn: authResult.ExpiresIn,
    refreshToken: authResult.RefreshToken,
    tokenType: authResult.TokenType,
});
exports.cognitoAuthenticationResultTypeToQpqAuthenticationInfo = cognitoAuthenticationResultTypeToQpqAuthenticationInfo;
const cognitoAdminInitiateAuthResponseToQpqAuthenticationInfo = (authResponse) => {
    const res = {
        session: authResponse.Session,
        challenge: quidproquo_core_1.AuthenticateUserChallenge.NONE,
    };
    if (authResponse.AuthenticationResult) {
        res.authenticationInfo = (0, exports.cognitoAuthenticationResultTypeToQpqAuthenticationInfo)(authResponse.AuthenticationResult);
    }
    return res;
};
exports.cognitoAdminInitiateAuthResponseToQpqAuthenticationInfo = cognitoAdminInitiateAuthResponseToQpqAuthenticationInfo;
